# Query Vector Index Next Page

Launch stage: GA

`POST /api/2.0/vector-search/indexes/{name}/query-next-page`

Use `next_page_token` returned from previous `QueryVectorIndex` or `QueryVectorIndexNextPage` request to fetch next page of results.

API scopes: vector-search

## Path parameters

- `name` (string, optional)
  Name of the vector index to query.

## Request body

- `endpoint_name` (string, optional)
  Name of the endpoint.
- `page_token` (string, optional)
  Page token returned from previous `QueryVectorIndex` or `QueryVectorIndexNextPage` API.

## Returns

- `manifest` (object, optional)
  Metadata about the result set.
  - `column_count` (int32, optional)
    Number of columns in the result set.
  - `columns` (array of object, optional)
    Information about each column in the result set.
    - `name` (string, optional)
      Name of the column.
    - `type_text` (string, optional)
      Data type of the column (e.g., "string", "int", "array<float>")
  - `facet_column_count` (int32, optional, Beta)
    Number of columns in `facet_result`.
  - `facet_columns` (array of object, optional, Beta)
    Information about each column in `facet_result`.
    - `name` (string, optional)
      Name of the column.
    - `type_text` (string, optional)
      Data type of the column (e.g., "string", "int", "array<float>")
- `result` (object, optional)
  Data returned in the query result.
  - `row_count` (int32, optional)
    Number of rows in the result set.
  - `data_array` (array of array of object, optional)
    Data rows returned in the query.
- `next_page_token` (string, optional)
  [Optional] Token that can be used in `QueryVectorIndexNextPage` API to get next page of results.
   If more than 1000 results satisfy the query, they are returned in groups of 1000.
   Empty value means no more results. The maximum number of results that can be returned is 10,000.
- `facet_result` (object, optional, Beta)
  Facet aggregation rows returned by a query.
  - `facet_row_count` (int32, optional, Beta)
    Number of facet rows returned.
  - `facet_array` (array of array of object, optional, Beta)
    Facet rows. Each row is `[facet_column_name, value_or_range, count]`.

## Request

### Query next page

```json
{
  "endpoint_name": "demo-endpoint",
  "page_token": "dummy-page-token"
}
```

## Response

### Successful response for query operation.

```json
{
  "manifest": {
    "column_count": 3,
    "columns": [
      {
        "name": "id"
      },
      {
        "name": "text"
      },
      {
        "name": "text_vector"
      }
    ]
  },
  "next_page_token": "dummy-next-page-token",
  "result": {
    "data_array": [
      [
        "1",
        "Databricks AI Search",
        [
          1,
          2,
          3
        ]
      ]
    ],
    "row_count": 1
  }
}
```

